Bug 165666 - MAINTAINER UPDATE games/minecraft-server
Summary: MAINTAINER UPDATE games/minecraft-server
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-03 19:10 UTC by Martin Kropfinger
Modified: 2012-03-08 00:10 UTC (History)
0 users

See Also:


Attachments
patch.txt (1.24 KB, text/plain)
2012-03-03 19:10 UTC, Martin Kropfinger
no flags Details
patch.txt (6.50 KB, text/plain; charset=us-ascii)
2012-03-06 22:26 UTC, Jason Helfman
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Kropfinger 2012-03-03 19:10:13 UTC

Fix: Update to 1.2.3
Comment 1 Jason Helfman freebsd_committer 2012-03-03 19:58:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

I'll take it.
Comment 2 Jason Helfman freebsd_committer 2012-03-06 20:55:34 UTC
State Changed
From-To: open->feedback

how is the distinfo being generated for the jar? I am unable to verify 
the new checksum
Comment 3 Jason Helfman freebsd_committer 2012-03-06 22:26:14 UTC
I have modified the port to have far less lines, but achieve the same
result. So if you have a new file, you just add it to the list of files.

I also tuned pkg-plist to use %%DATADIR%%

Any thoughts?

-jgh

-- 
Jason Helfman         | FreeBSD Committer
jgh@FreeBSD.org       | http://people.freebsd.org/~jgh
Comment 4 Jason Helfman freebsd_committer 2012-03-06 22:47:44 UTC
Please ignore the MASTER_SITES change. I was trying to figure out how the
distinfo was not chaning.

-jgh

-- 
Jason Helfman         | FreeBSD Committer
jgh@FreeBSD.org       | http://people.freebsd.org/~jgh
Comment 5 Martin Kropfinger 2012-03-07 08:36:39 UTC
Looks OK to me.
The amazon server holds the new 1.2.3 file. The other server holds actually the 1.1.0 file and will be updated when the port is committet. (Just for having the ports build clean in the meantime).

The distfile was made by make makesum and should be OK for the 1.2.3 file being hosted on the original amazon server. So the amazon server should be the first joice in MASTER_SITES.

Thanks
Comment 6 Jason Helfman freebsd_committer 2012-03-07 19:57:56 UTC
On Wed, Mar 07, 2012 at 09:36:39AM +0100, Martin Kropfinger thus spake:
>Looks OK to me.
>The amazon server holds the new 1.2.3 file. The other server holds actually the 1.1.0 file and will be updated when the port is committet. (Just for having the ports build clean in the meantime).
>
>The distfile was made by make makesum and should be OK for the 1.2.3 file being hosted on the original amazon server. So the amazon server should be the first joice in MASTER_SITES.
>
>Thanks

It looks like it still hasn't been updated. Any thoughts? Amazon is first on my list.

[jhelfman@dormouse ~/workspace/ports/games/minecraft-server]$ make -V MASTER_SITES
http://s3.amazonaws.com/MinecraftDownload/launcher/  http://denkrobat.de/minecraft/:minecraft  http://www.minecraftwiki.net/images/f/f7/:icon

[jhelfman@dormouse ~/workspace/ports/games/minecraft-server]$ sudo make distclean
===>  Cleaning for minecraft-server-1.2.3
===>  Deleting distfiles for minecraft-server-1.2.3
[jhelfman@dormouse ~/workspace/ports/games/minecraft-server]$ sudo make makesum
===>  License check disabled, port has not defined LICENSE
===>  Found saved configuration for minecraft-server-1.2.3
=> minecraft_server.jar doesn't seem to exist in /usr/ports/distfiles/.
=> Attempting to fetch http://denkrobat.de/minecraft/minecraft_server.jar
minecraft_server.jar                          100% of 1225 kB  431 kBps
=> Bookshelf.png doesn't seem to exist in /usr/ports/distfiles/.
=> Attempting to fetch http://www.minecraftwiki.net/images/f/f7/Bookshelf.png
Bookshelf.png                                 100% of 9674  B   46 MBps
[jhelfman@dormouse ~/workspace/ports/games/minecraft-server]$ cat distinfo 
SHA256 (minecraft_server.jar) = 96de0fcc7f9e90d32488ae6710caaa9a3fe94584eca6e7c6b13a2df0707419e1
SIZE (minecraft_server.jar) = 1254515
SHA256 (Bookshelf.png) = fe5e7f0bbbbe284379cb5e7aed8d539b727a3039f7fe8c64a179e4fc2a0e1821
SIZE (Bookshelf.png) = 9674
[jhelfman@dormouse ~/workspace/ports/games/minecraft-server]$ cvs diff -u distinfo 
[jhelfman@dormouse ~/workspace/ports/games/minecraft-server]$

-jgh
-- 
Jason Helfman         | FreeBSD Committer
jgh@FreeBSD.org       | http://people.freebsd.org/~jgh
Comment 7 dfilter service freebsd_committer 2012-03-07 23:42:12 UTC
jgh         2012-03-07 23:42:03 UTC

  FreeBSD ports repository

  Modified files:
    games/minecraft-server Makefile distinfo pkg-plist 
  Log:
  - Update to 1.2.3
  - fix MASTER_SITES
  - while here tighten Makefile for configuration files
    use DATADIR in pkg-plist (portlint)
  
  PR:     ports/165666
  Submitted by:   Martin Kropfinger,freebsd@rakor-net.de
  
  Revision  Changes    Path
  1.5       +17 -43    ports/games/minecraft-server/Makefile
  1.3       +2 -2      ports/games/minecraft-server/distinfo
  1.3       +18 -18    ports/games/minecraft-server/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Jason Helfman freebsd_committer 2012-03-08 00:10:16 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!